tests/jss_dll_version.sh
author Martin Thomson <martin.thomson@gmail.com>
Thu, 06 Oct 2016 00:00:32 +1100
changeset 12685 2d463826e09ac3cd8dafc4c9510c1bd81b16b115
parent 10685 6c43fe3ab5dd41803bbd6705979f73275d7668f6
permissions -rwxr-xr-x
Bug 1307772 - Require that the server use the draft version, r=ekr

#!/bin/sh

# version controll for DLLs
# ToDo: make version parameter or find version from first occurance of 3.x
# make the 3 a variable..., include the header

for w in `find . -name "libjss3.s[ol]"`
do
        NOWHAT=FALSE
        NOIDENT=FALSE
        echo $w
        what $w | grep JSS || NOWHAT=TRUE
        ident $w | grep JSS || NOIDENT=TRUE
        if [ $NOWHAT = TRUE ]
        then
                echo "ERROR what $w does not contain JSS"
        fi
        if [ $NOIDENT = TRUE ]
        then
                echo "ERROR ident $w does not contain JSS"
        fi
done